package com.jcg;

import com.jcg.service.MyService;
import com.jcg.service.sub.SubService;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

@SpringBootApplication
public class PointcutMethodInterceptorApplication {

    public static void main(String[] args) {
        SpringApplication.run(PointcutMethodInterceptorApplication.class, args);
    }

    @Bean
    CommandLineRunner runner(MyService myService, SubService subService) {
        return args -> {
            myService.performAction();
            myService.fetchData();
            
            subService.executeSubAction();
            subService.getSubData();
        };
    }
}
